VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::ParseIssue::Category Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::ParseIssue::Category:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::ParseIssue::Category` enumerated type defines the categories of issues that can be found when parsing files inside an OVF package (see class Com::Vmware::Vcenter::Ovf::ParseIssue ) including OVF descriptor (which is an XML document), manifest and certificate files, or exporting an OVF package. Constant Com::Vmware::Vcenter::Ovf::ParseIssue::Category::VALUE_ILLEGAL # Illegal value error. For example, the value is malformed, not a number, or outside of the given range, and so on. Constant Com::Vmware::Vcenter::Ovf::ParseIssue::Category::ATTRIBUTE_REQUIRED # Required attribute error. It indicates that a required attribute is missing from an element in the OVF descriptor. Constant Com::Vmware::Vcenter::Ovf::ParseIssue::Category::ATTRIBUTE_ILLEGAL # Illegal attribute error. It indicates that an illegal attribute is set for an element in the OVF descriptor. For example, empty disks do not use format, parentRef, and populatedSize attributes, if these attributes are present in an empty disk element then will get this pasrse issue. Constant Com::Vmware::Vcenter::Ovf::ParseIssue::Category::ELEMENT_REQUIRED # Required element error. It indicates that a required element is missing from the OVF descriptor. Constant Com::Vmware::Vcenter::Ovf::ParseIssue::Category::ELEMENT_ILLEGAL # Illegal element error. It indicates that an element is present in a location which is not allowed, or found multiple elements but only one is allowed at the location in the OVF descriptor. Constant Com::Vmware::Vcenter::Ovf::ParseIssue::Category::ELEMENT_UNKNOWN # Unknown element error. It indicates that an element is unsupported when parsing an OVF descriptor. Constant Com::Vmware::Vcenter::Ovf::ParseIssue::Category::SECTION_UNKNOWN # Section unknown error. It indicates that a section is unsupported when parsing an OVF descriptor. Constant Com::Vmware::Vcenter::Ovf::ParseIssue::Category::SECTION_RESTRICTION # Section restriction error. It indicates that a section appears in place in the OVF descriptor where it is not allowed, a section appears fewer times than is required, or a section appears more times than is allowed. Constant Com::Vmware::Vcenter::Ovf::ParseIssue::Category::PARSE_ERROR # OVF package parsing error, including:

- OVF descriptor parsing errors, for example, syntax errors or schema errors.
- Manifest file parsing and verification errors.
- Certificate file parsing and verification errors.

Constant Com::Vmware::Vcenter::Ovf::ParseIssue::Category::GENERATE_ERROR # OVF descriptor (which is an XML document) generating error, for example, well-formedness errors as well as unexpected processing conditions. Constant Com::Vmware::Vcenter::Ovf::ParseIssue::Category::VALIDATION_ERROR # An issue with the manifest and signing. Constant Com::Vmware::Vcenter::Ovf::ParseIssue::Category::EXPORT_ERROR # Issue during OVF export, for example, malformed deviceId, controller not found, or file backing for a device not found. Constant Com::Vmware::Vcenter::Ovf::ParseIssue::Category::INTERNAL_ERROR # Server encountered an unexpected error which prevented it from fulfilling the request.

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::ParseIssue::Category::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::ParseIssue::Category enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.vcenter.ovf.parse_issue.category',
'binding_class' => 'Com::Vmware::Vcenter::Ovf::ParseIssue::Category');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/ParseIssue.pm